Bug 208903 - aot-compile-rpm/gcj leaves buildroot paths to -debuginfo
aot-compile-rpm/gcj leaves buildroot paths to -debuginfo
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: java-1.4.2-gcj-compat (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Gary Benson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-02 11:59 EDT by Ville Skyttä
Modified: 2008-04-03 17:07 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-03 17:07:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2006-10-02 11:59:33 EDT
aot-compile-rpm or something that it invokes leaves buildroot paths to 
*.jar.so.debug.  Example, ant-debuginfo-1.6.5-2jpp.2:

$ strings /usr/lib/debug/usr/lib64/gcj/ant/ant-1.6.5.jar.so.debug | 
grep /var/tmp
/var/tmp/ant-1.6.5-2jpp.2-buildroot/usr/lib64/gcj/ant

I'm wondering what's that path used for if anything in the *.jar.so.debug - 
and if it is used, whether it's a security issue - or if it's 
expected/harmless.  It does anyway trip check-buildroot from rpmdevtools (in 
Extras) - it finds the buildroot path in installed files and intentionally 
causes the build fail in those cases.

For now, I'll exclude *.jar.so.debug from files being checked in 
check-buildroot so from that POV this is not urgent.
Comment 1 Andrew Haley 2006-10-03 06:27:27 EDT
It's here:

     DW_AT_comp_dir    : (indirect string, offset: 0x2c340):
/var/tmp/ant-1.6.5-1jpp_11fc-buildroot/usr/lib64/gcj/ant   

whereas in libgcc we have:

     DW_AT_comp_dir    : (indirect string, offset: 0xa0):
/usr/src/debug/gcc-4.1.1-20060828/obj-x86_64-redhat-linux/gcc 

so, it looks as though when the debuginfo file is extracted from the shared
object the directory name component is not rewritten.  This is nothing to do
with aot-compile-rpm.
Comment 2 Thomas Fitzsimmons 2008-04-02 18:29:02 EDT
Gary, does this issue apply to java-1.5.0-gcj?  I'm trying to close out old
java-1.4.2-gcj-compat bugs.
Comment 3 Gary Benson 2008-04-03 03:38:33 EDT
I'm not sure.  Have a look in /usr/bin/aot-compile-rpm and find the line that
says 'compiler.compile()'.  If it says 'copy(tmpdir, srcdir, dstdir)' after it,
the bug is fixed.  If there's no copy then the bug is still there.
Comment 4 Thomas Fitzsimmons 2008-04-03 17:07:55 EDT
The copy line is there in Rawhide.

Note You need to log in before you can comment on or make changes to this bug.